Sign in to follow this  
Powerstriker46

Einige NIArms waffen buggy? Werden nicht in DB gespeichert?

5 posts in this topic

Guten morgen gemeinde

 

habe jetzt vor 2 tagen den niarms mod auf meinen server hoch geladen (erst niarms reupload) aus steam musste dann feststellen, dass wenn die clients den gleichen mod geladen haben sie die MG42 und nochn paar andere waffen nicht sehen können...

dann meinte einer ich solle niarms complete nehemen. kein problem habe ich gemacht. jetzt sind auch wirklich alle waffen da (beide mods habe ich bei steam aus dem workshop)

aber

es ist offensichtlich dass einige waffen von niarms den serverrestart nicht überleben und somit IMMER weg sind und es scheinen auch immer die selben zu sein welche betroffen sind  (wie z.b. auch die MG42, zufall?) das selbe betrifft aber auch z.b. die M21(RIS) <-- für m14/mk18 fans ist das ein geiles teil^^

ist mir im prinziep egal ich geb mir einfach ne neue über infi, aber die anderen gucken halt in die röhre was ja doof ist, habe darauf hin nochmal geschaut ob da noch mods benötigt werden aber bis auf CBA_A3 steht da nix geschrieben und das habe ich durch CUP eh drauf.

 

nun wollte ich fragen ob die probleme allgemein bekannt sind oder ob man da noch was braucht damit das nicht auftritt.

 

des weiteren habe ich von meinen spielern erfahren dass es AUG's gibt die man in keinen waffenslot ziehen kann^^'

Share this post


Link to post
Share on other sites
Advertisement

Ich bin mir nicht sicher aber evtl. liegt es daran das sie nicht als Kompatible Waffen ausgegeben werden.

Folgende Funktionen solltest du dir dafür mal ansehen und zum testen mit der CfgExileCustomCode class überschreiben.

Mach aber bitte ein Backup der files vor dem override.

ExileClient_util_gear_getCompatibleWeaponItems:

/**
 * ExileClient_util_gear_getCompatibleWeaponItems
 *
 * Exile Mod
 * www.exilemod.com
 * © 2015 Exile Mod Team
 *
 * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.
 */
 
private _weaponClassName = _this;
private _weaponConfig = configFile >> "CfgWeapons" >> _weaponClassName;
private _compatibleItems = getArray (_weaponConfig >> "magazines");

private _getcompatibleItems = [_weaponClassName] call asdg_fnc_compatibleItems;
_compatibleItems append _getcompatibleItems;

{
	if !(_x isEqualTo "this") then
	{
		_compatibleItems append getArray (_weaponConfig >> _x >> "magazines");
	};
} forEach getArray (_weaponConfig >> "muzzles");

{
	_compatibleItems set [_forEachIndex, toLower _x];
} forEach _compatibleItems;
_compatibleItems

ExileClient_util_item_getCompatibleWeaponItems:

/**
 * ExileClient_util_item_getCompatibleWeaponItems
 *
 * Exile Mod
 * www.exilemod.com
 * © 2015 Exile Mod Team
 *
 * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.
 */
 
private["_weaponClassName","_weaponConfig","_compatibleItems"];
_weaponClassName = _this;
_weaponConfig = configFile >> "CfgWeapons" >> _weaponClassName;
_compatibleItems = getArray (_weaponConfig >> "magazines");

private _getcompatibleItems = [_weaponClassName] call asdg_fnc_compatibleItems;
_compatibleItems append _getcompatibleItems;

{
	if !(_x isEqualTo "this") then
	{
		_compatibleItems append getArray (_weaponConfig >> _x >> "magazines");
	};
} forEach getArray (_weaponConfig >> "muzzles");
_compatibleItems

 

  CfgExileCustomCode override:

// Use of ADSG function
ExileClient_util_gear_getCompatibleWeaponItems = "core\fixes\ExileClient_util_gear_getCompatibleWeaponItems.sqf";
ExileClient_util_item_getCompatibleWeaponItems = "core\fixes\ExileClient_util_item_getCompatibleWeaponItems.sqf";

Nicht getestet aber sollte funktionieren wenn es daran liegt.

Edited by [RG] Salutesh
  • Like 1

Share this post


Link to post
Share on other sites
4 hours ago, [HG]RaVeN103 said:

Addons mit solch einem Umfang haben immer ein Problem. Es können sich ganz fix Fehler einschleichen ^^

Würde erstmal die Waffen entfernen und es den Devs melden.

 

die cup mods sind 5 mal so groß und ich habe derartige probleme nicht mal ansatzweise

bzw hatte ich sowas allgemein noch nie... darum gehe ich zunächst erstmal vom klassischen anwendungsfehler aus weil niarms ja nicht zu den 0815 mods gehört^^

Share this post


Link to post
Share on other sites
Advertisement

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.